Bug 438446 - installer aborts
installer aborts
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-20 18:07 EDT by David Woodhouse
Modified: 2008-03-29 18:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-29 18:57:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
anacdump.txt (420.51 KB, text/plain)
2008-03-20 18:07 EDT, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2008-03-20 18:07:53 EDT
anaconda exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/isys.py", line 263, in lochangefd
    _isys.lochangefd(loop, targ)
  File "/usr/lib/anaconda/yuminstall.py", line 362, in systemMounted
    isys.lochangefd("/dev/loop0", self._loopbackFile)
  File "/usr/lib/anaconda/yuminstall.py", line 1301, in doPreInstall
    if self.ayum.systemMounted (anaconda.id.fsset, anaconda.rootPath):
  File "/usr/lib/anaconda/backend.py", line 203, in doPreInstall
  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 131, in gotoNext
  File "/usr/lib/anaconda/gui.py", line 1246, in nextClicked
  File "/usr/lib/anaconda/iw/progress_gui.py", line 80, in renderCallback
  File "/usr/lib/anaconda/gui.py", line 1267, in handleRenderCallback
SystemError: (22, 'Invalid argument')
Comment 1 David Woodhouse 2008-03-20 18:07:53 EDT
Created attachment 298753 [details]
Comment 2 David Woodhouse 2008-03-20 18:22:10 EDT
This is without my patch in bug #438377, btw -- I'm booting from the CD this time.
Comment 3 Jerry Vonau 2008-03-24 20:15:34 EDT
19:42:06 DEBUG   : isys.py:mount()- going to mount /dev/VolGroup00/LogVol00 on
19:42:10 DEBUG   : isys.py:mount()- going to mount /dev/VolGroup00/LogVol01 on
19:42:10 DEBUG   : isys.py:mount()- going to mount /dev/ps3da1 on /mnt/sysimage

In my BZ438646 I had the same issue, /mnt/sysimage double mounted. At least this
one found VolGroup00 to mount 
Comment 4 David Woodhouse 2008-03-25 03:26:11 EDT
This started happening a little after 6pm, on a machine which had been working
fine earlier (I'd started another install, which had died when I unplugged the
keyboard due to the evdev thing).

My daily rawhide rsync kicks in at 6pm.

This went away when I burned the new boot.iso and booted from that instead of
the previous day's version.

Those three facts are probably enough for us to close it without further
Comment 5 Chris Lumens 2008-03-29 18:57:30 EDT
Closing on the basis of comment #4.

Note You need to log in before you can comment on or make changes to this bug.